commit:     749e850061c667ad4cd4cb767817d8bf281e3ed5
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Apr 12 15:41:34 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Apr 12 15:41:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=749e8500

dev-python/curio: version bump 1.2

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/curio/Manifest         |  1 +
 dev-python/curio/curio-1.2.ebuild | 48 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/curio/Manifest b/dev-python/curio/Manifest
index 9d371fd..7f5647a 100644
--- a/dev-python/curio/Manifest
+++ b/dev-python/curio/Manifest
@@ -1 +1,2 @@
 DIST curio-0.9.tar.gz 482459 BLAKE2B 
7ef65d22806eb10ee3e757dc0d63a202c13036cdb1995962e193332c50dd73585ab27449614de5995f874c03d8623ea27f967101aa99b15166d19a48f4cdaaea
 SHA512 
a6ae4db76358536e6e299ecfa923fd63746cba4bc5374fbfdeb4127032552c960d1e199fdf17d95b039ca2bd000325c637f663007cd6850313bc00bc9a2a3d68
+DIST curio-1.2.tar.gz 228413 BLAKE2B 
57dd4849a33ce8075b1f5409397abc727bb10b40d185864747d2e208b5d850286f9dc8784451d1ee8af4f28fcdb8b98d5a159a7563ae93fd30419e8938887ca3
 SHA512 
8a155f3d0c5512184ed4019edf5f33bfe7597ffdef1a6b19d82b42fe0317b80006d57658d69b422a320f49f9f1b6294faba6c042b7c4258538f001a9792acb8a

diff --git a/dev-python/curio/curio-1.2.ebuild 
b/dev-python/curio/curio-1.2.ebuild
new file mode 100644
index 0000000..51ab363
--- /dev/null
+++ b/dev-python/curio/curio-1.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Curio is a coroutine-based library for concurrent systems 
programming"
+HOMEPAGE="
+       https://github.com/dabeaz/curio
+       https://pypi.org/project/curio
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+IUSE="examples"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+DEPEND="test? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+distutils_enable_sphinx docs --no-autodoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # requires internet connection
+       sed -i -e 's:test_ssl_outgoing:_&:' \
+               tests/test_network.py || die
+
+       # AttributeError: module 'asyncio' has no attribute 'run'
+       sed -i -e 's:test_uqueue_asyncio_consumer:_&:' \
+               tests/test_queue.py || die
+       sed -i -e 's:test_uevent_get_asyncio_set:_&:' \
+               -e 's:test_uevent_get_asyncio_wait:_&:' \
+               tests/test_sync.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       use examples && dodoc -r examples
+
+       distutils-r1_python_install_all
+}

Reply via email to